Payments APIInstitutions
Get institutions' countries
Get list of countries in which institutions operate. This information is useful for generating a bank's country switcher.
Authorization
Bearer AuthorizationBearer <token>
In: header
Query Parameters
institution[currency]*string
Filter for currency code (ISO 4217 format) institution must support.
institution[payments][active]?boolean
Filter whether institution is active or not (temporary disabled) in terms of payments capability.
Header Parameters
X-Volt-Api-Version*1
Version of the API used. Currently, version 1 is the only version.
Value in
- 1
X-Volt-Initiation-Channel*string
Channel used for payment initiation flow.
Value in
- "api"
- "hosted"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/institutions/countries?institution%5Bcurrency%5D=string" \ -H "X-Volt-Api-Version: 1" \ -H "X-Volt-Initiation-Channel: api"[ { "country": "DE" }, { "country": "ES" }]{ "code": "MISSING_HTTP_HEADER", "message": "Missing \"X-Volt-Initiation-Channel\" HTTP header."}{ "code": "UNAUTHORISED", "message": "Unauthorised."}{ "code": "ACCESS_DENIED", "message": "Access denied."}{ "code": "INTERNAL_SERVER_ERROR", "message": "Something went wrong. Please, contact support. TraceId: b8cfd344-093c-4b8c-8fd4-f0e406060c3c. Timestamp: 1723193467."}